Deepin-music did not work properly after a system update on 2023-10-04

The system is a stable version,The deepin-music version is 7.0.3-1

When I try to start with the command line deepin-music, get the following information:

Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
2023-10-05, 13:37:14.236 [Debug] [global.cpp           DmGlobal::initPlaybackEngineType    142] initPlaybackEngineType:  1
2023-10-05, 13:37:14.236 [Debug] [dguiapplicationhelper.cpp Dtk::Gui::DGuiApplicationHelper::loadTranslator 1601] load translate "/usr/share/dtk5/DWidget/translations/dtkwidget_zh_CN"
2023-10-05, 13:37:14.236 [Debug] [dguiapplicationhelper.cpp Dtk::Gui::DGuiApplicationHelper::loadTranslator 1601] load translate "/usr/share/qt/translations/qt_zh_CN"
2023-10-05, 13:37:14.236 [Debug] [dguiapplicationhelper.cpp Dtk::Gui::DGuiApplicationHelper::loadTranslator 1601] load translate "/usr/share/qt/translations/qtbase_zh_CN"
2023-10-05, 13:37:14.236 [Debug] [dguiapplicationhelper.cpp Dtk::Gui::DGuiApplicationHelper::loadTranslator 1601] load translate "/usr/share/deepin-music/translations/deepin-music_zh_CN"
2023-10-05, 13:37:14.238 [Debug] [playerengine.cpp     PlayerEnginePrivate::PlayerEnginePrivate 73] PlayerEnginePrivate VlcPlayer
2023-10-05, 13:37:14.239 [Debug] [  ] create config "/home/cxy/.config/deepin/deepin-music/config.ini"
2023-10-05, 13:37:14.239 [Warning] [  ] QObject::moveToThread: Cannot move objects with a parent
2023-10-05, 13:37:14.239 [Debug] [datamanager.cpp      DataManager::initPlaylist           1894] dbPath: "/home/cxy/.cache/deepin/deepin-music/mediameta.sqlite"
2023-10-05, 13:37:14.258 [Debug] [dguiapplicationhelper.cpp Dtk::Gui::DGuiApplicationHelper::loadTranslator 1601] load translate "/usr/share/dtk5/DDeclarative/translations/dtkdeclarative_zh_CN"
2023-10-05, 13:37:14.297 [Warning] [  ] QQmlApplicationEngine failed to load component
2023-10-05, 13:37:14.297 [Warning] [main.qml              12] qrc:/main.qml:12:1: Type MainWindow unavailable
2023-10-05, 13:37:14.297 [Warning] [MainWindow.qml        32] qrc:/mainwindow/MainWindow.qml:32:13: Type WindowTitlebar unavailable
2023-10-05, 13:37:14.298 [Warning] [WindowTitlebar.qml    11] qrc:/mainwindow/WindowTitlebar.qml:11:1: Type TitleBar unavailable
2023-10-05, 13:37:14.298 [Warning] [TitleBar.qml          153] qrc:/dtk/declarative/qml/TitleBar.qml:153:38: Type Menu unavailable
2023-10-05, 13:37:14.298 [Warning] [Menu.qml              49] qrc:/dtk/declarative/qml/Menu.qml:49:13: Type ArrowListView unavailable
2023-10-05, 13:37:14.298 [Warning] [ArrowListView.qml     23] qrc:/dtk/declarative/qml/ArrowListView.qml:23:9: Type ArrowListViewButton unavailable
2023-10-05, 13:37:14.298 [Warning] [ArrowListViewButton.qml  19] qrc:/dtk/declarative/qml/private/ArrowListViewButton.qml:19:22: Type Button unavailable
2023-10-05, 13:37:14.298 [Warning] [Button.qml            33] qrc:/dtk/declarative/qml/Button.qml:33:17: Type ButtonPanel unavailable
2023-10-05, 13:37:14.298 [Warning] [ButtonPanel.qml       51] qrc:/dtk/declarative/qml/ButtonPanel.qml:51:5: Type CicleSpreadAnimation unavailable
2023-10-05, 13:37:14.298 [Warning] [CicleSpreadAnimation.qml  16] qrc:/dtk/declarative/qml/CicleSpreadAnimation.qml:16:17: Type D.OpacityMask unavailable
2023-10-05, 13:37:14.298 [Warning] [OpacityMask.qml       5] qrc:/dtk/declarative/qml/private/OpacityMask.qml:5:1: module "QtGraphicalEffects" is not installed
zsh: segmentation fault (core dumped)  deepin-music

Also, I saw the latest version deepin-music 7.0.3-2

I’m not sure if the latest version solves this problem, because this version has some dependencies that I didn’t dare install.

The problem has been solved.

The dependency packages qt5-quickcontrols and qt5-graphicaleffects need to be installed.

See here for details: https://github.com/linuxdeepin/developer-center/issues/5788

Dependencies, by their very nature, should be installed if listed as such for any particular application. Without them, it may not function at all.

Congrats for getting it working, though. Cheers. :partying_face:

I wonder why Manjaro didn’t help me wrap the dependency when updating it, is there any conflict with other software? So I hesitated at first.

It depends where the package came from. Dependencies are listed and installed if the package is from the official ArchLinux repositories, which Manjaro uses.

If a package comes from elsewhere, the onus is then on the User to be aware of such dependencies, and install them as needed. I’m guessing this package was from a specific deepin repo. Cheers.

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.